- Home
- Resources
- Change Request Vector API
Abstract class for REST webservices
PUT /requestentity
Update request entities (request shape) parameters
request must also contains json array of objects with xml snippets and
params to be updated
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
json object with report about success of update operations |
POST /requestentity/delete
Remove request entities
Example of request:
{"list":[{"entityId":"389540"}, {"entityId":"389541"}]}
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON with information about operation's result
{list: [{entityId: "54388", success: true}, {entityId: "54394", success: true]} |
POST /requestentity/add/{requestDrawingId}
Create new request entities to be attached to request drawing
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| requestDrawingId |
path |
- id of request drawing to which entity is attached
Example of request:
{"list":[{"snippet":"","entityId":1,"entityType":1,"layerId":"${LayerID}"}]}
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
json object with report about success of insertions |
PUT /requestentity/order/{vectorId}
Update entities order
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| vectorId |
path |
- id of request drawing in which entities are to be rearranged
request must also contains json array of objects with xml snippets to be ordered
and flag toBottom showing direction of rearrangement
Example of request:
{"list":[{"snippet":"","entityId":1,"layerId":"${LayerID}"}],"toBottom":true}
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
json object with report about success of ordering |
DELETE /requestentity/fromlayer/{vectorId}/{layerId}
Remove all request entities from layer
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layerId |
path |
JSON with information about operation's result
{list: [{entityId: "54388", success: true}, {entityId: "54394", success: true}]} |
|
long |
| vectorId |
path |
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|